%define version 4.3.10
%define rversion 0.7.0

%define realname python
%define modname python
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A19_%{modname}.ini
%define	py_ver	%(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

Summary:	Embedded Python for PHP4
Name:		php-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 4
Group:		System/Servers
License:	PHP License
URL:		http://pecl.php.net/package/python
Source0:	%{modname}-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
Requires:	php432
Requires:	php-cli
BuildRequires:	php432-devel
BuildRequires:	python-devel
Conflicts:	php-cgi mod_php
BuildRoot:	%{_tmppath}/%{name}-root

%description
This extension allows the Python interpreter to be embedded inside
of PHP, allowing for the instantiate and manipulation of Python
objects from within PHP. 

%prep

%setup -q -n %{modname}-%{rversion}
#(peroyvind) fix hardcoded python version
perl -pi -e "s#python2.2#python%{py_ver}#g" config*

%build

phpize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests CREDITS README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.7.0-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.7.0-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.7.0-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.7.0-1mdk
- rebuild for php 4.3.10

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 4.3.9_0.7.0-2mdk
- Rebuild for new python

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_0.7.0-1mdk
- rebuild for php 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.7.0-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.7.0-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.7.0-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.7.0-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.7.0-1mdk
- conflicts with php-cgi mod_php
- fix url
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.7.0-1mdk
- built for php 4.3.4

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.7.0-1mdk
- built for php 4.3.3
- misc spec file fixes

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 4.3.2_0.7.0-3mdk
- really rebuild against new python
- drop requires on lib

* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.7.0-2mdk
- rebuilt against new python

* Thu Jun 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.7.0-1mdk
- initial cooker contrib
